﻿
Partial Class App_PRG_Project_JobResponse
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            If IsNothing(Session("S_UserSID")) Then
                ExecJavascript("top.window.location='../../login.aspx';", "toLoginPage", False, Me.Page)
                Exit Sub
            End If

            ViewState("IMmode") = clsSQL_Inj(Request("IM"))

            BindDdls()

            If ViewState("IMmode") = "M" Then
                ViewState("pName") = clsSQL_Inj(Request("pName"))
                ViewState("sName") = clsSQL_Inj(Request("sName"))
                ViewState("jMember") = clsSQL_Inj(Request("jMember"))
                ViewState("responseDate") = clsSQL_Inj(Request("responseDate"))
                BindData()
                Me.Image2.ImageUrl = "~/_Images/pModify.jpg"
            Else
                'ViewState("jMember") = "096009"    '必須跟登入結合
                ViewState("jMember") = Session("S_UserSID")
                Me.lblcostPerHr.Text = getCostPerHr(ViewState("jMember"))
            End If

        End If
    End Sub

    Protected Sub BindDdls()
        'DropDownList, strSQL,DataTextField,DataValueField
        Dim strSQL As String = ""

        strSQL = "select p.pname,count(*) from Project p,stage s where p.pname=s.pname group by p.pname order by p.pName"
        BuildDdl(Me.ddlpName, strSQL, "pName", "pName")
        ddlpName_SelectedIndexChanged(Me.ddlpName, Nothing)
    End Sub

    Protected Sub ddlpName_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddlpName.SelectedIndexChanged
        Dim strSQL As String
        strSQL = "select * from Stage where pName='" & ddlpName.SelectedValue & "' order by sName"
        BuildDdl(Me.ddlsName, strSQL, "sName", "sName")
    End Sub

    Protected Sub BindData()
        Dim strSQL As String
        Dim cDbf As New DbFunctions2
        Dim dr As OracleDataReader

        strSQL = "select *  from JobResponse where pName='" & ViewState("pName") & "' and sName='" & ViewState("sName") & "' and jMember='" & ViewState("jMember") & "' "
        dr = cDbf.GetDataReader(strSQL)
        If dr.Read Then
            Me.ddlpName.SelectedValue = ViewState("pName")
            ddlpName_SelectedIndexChanged(Nothing, Nothing)
            Me.ddlsName.SelectedValue = ViewState("sName")
            Me.responseDate.Text = CYearFromDb(dr("responseDate"))
            Me.responseDes.Text = dr("responseDes")
            Me.workHours.Text = dr("workHours")
            Me.lblcostPerHr.Text = dr("costPerHr")
        End If

        cDbf.ConnectionClose()
        cDbf = Nothing

        Me.ddlpName.Enabled = False
        Me.ddlsName.Enabled = False
        Me.responseDate.Enabled = False
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnSave.Click

        If ViewState("IMmode") <> "I" And ViewState("IMmode") <> "M" Then
            Response.Redirect("JobResponse_L.aspx")
            Exit Sub
        End If

        Dim flgSuccess As Boolean
        '資料驗證
        If HasValidationSummaryToAlert(Page) Then
            Exit Sub
        End If

        Dim strSQL As String
        Dim cDbf As New DbFunctions2

        If ViewState("IMmode") = "I" Then
            strSQL = "insert into JobResponse values ("
            strSQL += " '" & Me.ddlpName.SelectedValue & "', "
            strSQL += " '" & Me.ddlsName.SelectedValue & "', "
            strSQL += " '" & ViewState("jMember") & "', "
            strSQL += " '" & CYearToDb(cDbf.AntiSQLInj(Me.responseDate.Text)) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.responseDes.Text) & "', "
            strSQL += " '" & CDbl(Me.workHours.Text) & "', "
            strSQL += " '" & Me.lblcostPerHr.Text & "' "
            strSQL += ")"
        Else
            strSQL = "update JobResponse set "
            strSQL += " responseDes='" & cDbf.AntiSQLInj(Me.responseDes.Text) & "', "
            strSQL += " workHours=" & CDbl(Me.workHours.Text) & " "
            strSQL += " where pName='" & ViewState("pName") & "' and sName='" & ViewState("sName") & "' and jMember='" & ViewState("jMember") & "' and responseDate='" & ViewState("responseDate") & "' "
        End If
        'Me.lblStatus.Text = strSQL
        Try
            cDbf.ExecuteNonQuery(strSQL)
            flgSuccess = True
            If ViewState("IMmode") = "I" Then
                ActionLog("I", "JobResponse Insert", cDbf.AntiSQLInj(Me.ddlpName.SelectedValue) & "_" & Me.workHours.Text & " hrs")
            Else
                ActionLog("M", "JobResponse Update", cDbf.AntiSQLInj(Me.ddlpName.SelectedValue) & "_" & Me.workHours.Text & " hrs")
            End If
        Catch ex As Exception
            'ShowStatus(Me.Page, Me.lblStatus, ex.Message, 5000)
            Me.lblStatus.Text = ex.Message
            flgSuccess = False
        End Try

        cDbf.ConnectionClose()
        cDbf = Nothing

        If flgSuccess Then
            Response.Redirect("JobResponse_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
        End If

    End Sub

    Protected Sub btnBack_Click1(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnBack.Click
        Response.Redirect("JobResponse_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
    End Sub

    Protected Function getCostPerHr(ByVal jMember As String) As Double
        Dim strSQL As String
        strSQL = "select Title.costPerhr from Employee,Title where Employee.eTitle=Title.tName and Employee.eId='" & jMember & "'"
        Return (GetOneValueFrmDB(strSQL, "costPerHr"))
    End Function

End Class