﻿
Partial Class App_PRG_Project_Project
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            If IsNothing(Session("S_UserSID")) Then
                ExecJavascript("top.window.location='../../login.aspx';", "toLoginPage", False, Me.Page)
                Exit Sub
            End If

            ViewState("IMmode") = clsSQL_Inj(Request("IM"))

            BindDdls()

            If ViewState("IMmode") = "M" Then
                ViewState("SID") = clsSQL_Inj(Request("SID"))
                BindData()
                Me.Image2.ImageUrl = "~/_Images/pModify.jpg"
            Else
                Me.pYear.Text = Year(Now())
            End If

        End If
    End Sub

    Protected Sub BindDdls()
        'DropDownList, strSQL,DataTextField,DataValueField
        Dim strSQL As String = ""

        strSQL = "select * from Customer order by cName"
        BuildDdl(Me.ddlpcId, strSQL, "cName", "cId")

        strSQL = "select * from Employee order by eId"
        BuildDdl(Me.ddlpManager, strSQL, "eName", "eId")

    End Sub

    Protected Sub BindData()
        Dim strSQL As String
        Dim cDbf As New DbFunctions2
        Dim dr As OracleDataReader

        strSQL = "select *  from Project where pName='" & ViewState("SID") & "'"
        dr = cDbf.GetDataReader(strSQL)
        If dr.Read Then
            Me.ddlpcId.SelectedValue = dr("PCID")
            Me.pName.Text = dr("pName")
            Me.pYear.Text = dr("pYear")
            Me.contractDate.Text = CYearFromDb(dr("contractDate"))
            Me.endDate.Text = CYearFromDb(dr("endDate"))
            Me.pCost.Text = dr("pCost")
            Me.ddlpManager.SelectedValue = dr("pManager")
            Me.ddlpcId.Enabled = False
            Me.pName.Enabled = False
        End If

        cDbf.ConnectionClose()
        cDbf = Nothing
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnSave.Click

        If ViewState("IMmode") <> "I" And ViewState("IMmode") <> "M" Then
            Response.Redirect("Project_L.aspx")
            Exit Sub
        End If

        Dim flgSuccess As Boolean
        '資料驗證
        If HasValidationSummaryToAlert(Page) Then
            Exit Sub
        End If

        Dim strSQL As String
        Dim cDbf As New DbFunctions2

        If ViewState("IMmode") = "I" Then
            strSQL = "insert into Project values ("
            strSQL += " '" & Me.ddlpcId.SelectedValue & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.pName.Text) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.pYear.Text) & "', "
            strSQL += " '" & CYearToDb(cDbf.AntiSQLInj(Me.contractDate.Text)) & "', "
            strSQL += " '" & CYearToDb(cDbf.AntiSQLInj(Me.endDate.Text)) & "', "
            strSQL += " " & CDbl(Me.pCost.Text) & ", "
            strSQL += " '" & Me.ddlpManager.SelectedValue & "' "
            strSQL += ")"
        Else
            strSQL = "update Project set "
            strSQL += "PCID='" & Me.ddlpcId.SelectedValue & "', "
            strSQL += "pYear='" & cDbf.AntiSQLInj(Me.pYear.Text) & "', "
            strSQL += "contractDate='" & cDbf.AntiSQLInj(Me.contractDate.Text) & "', "
            strSQL += "endDate='" & cDbf.AntiSQLInj(Me.endDate.Text) & "', "
            strSQL += "pCost=" & CDbl(Me.pCost.Text) & ", "
            strSQL += "pManager='" & Me.ddlpManager.SelectedValue & "' "
            strSQL += " where pName='" & ViewState("SID") & "' "
        End If
        'Me.lblStatus.Text = strSQL
        Try
            cDbf.ExecuteNonQuery(strSQL)
            flgSuccess = True
            If ViewState("IMmode") = "I" Then
                ActionLog("I", "Project Insert", cDbf.AntiSQLInj(Me.pName.Text))
            Else
                ActionLog("M", "Project Update", cDbf.AntiSQLInj(Me.pName.Text))
            End If
        Catch ex As Exception
            'ShowStatus(Me.Page, Me.lblStatus, ex.Message, 5000)
            Me.lblStatus.Text = ex.Message
            flgSuccess = False
        End Try

        cDbf.ConnectionClose()
        cDbf = Nothing

        If flgSuccess Then
            Response.Redirect("Project_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
        End If

    End Sub

    Protected Sub btnBack_Click1(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnBack.Click
        Response.Redirect("Project_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
    End Sub
End Class