﻿
Partial Class App_PRG_Project_ProjectStage
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            If IsNothing(Session("S_UserSID")) Then
                ExecJavascript("top.window.location='../../login.aspx';", "toLoginPage", False, Me.Page)
                Exit Sub
            End If

            ViewState("IMmode") = clsSQL_Inj(Request("IM"))

            BindDdls()

            If ViewState("IMmode") = "M" Then
                ViewState("pName") = clsSQL_Inj(Request("pName"))
                ViewState("sName") = clsSQL_Inj(Request("sName"))
                BindData()
                Me.Image2.ImageUrl = "~/_Images/pModify.jpg"
            End If

        End If
    End Sub

    Protected Sub BindDdls()
        'DropDownList, strSQL,DataTextField,DataValueField
        Dim strSQL As String = ""

        strSQL = "select * from Project order by pName"
        BuildDdl(Me.ddlpName, strSQL, "pName", "pName")

    End Sub

    Protected Sub BindData()
        Dim strSQL As String
        Dim cDbf As New DbFunctions2
        Dim dr As OracleDataReader

        strSQL = "select *  from Stage where pName='" & ViewState("pName") & "' and sName='" & ViewState("sName") & "' "
        dr = cDbf.GetDataReader(strSQL)
        If dr.Read Then
            Me.ddlpName.SelectedValue = ViewState("pName")
            Me.sName.Text = dr("sName")
            Me.pDesc.Text = dr("pDesc")
            Me.pSDate.Text = CYearFromDb(dr("pSDate"))
            Me.pEDate.Text = CYearFromDb(dr("pEDate"))
            Me.rSDate.Text = CYearFromDb(dr("rSDate"))
            Me.rEDate.Text = CYearFromDb(dr("rEDate"))
            Me.ddlpName.Enabled = False
            Me.sName.Enabled = False
        End If

        cDbf.ConnectionClose()
        cDbf = Nothing
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnSave.Click

        If ViewState("IMmode") <> "I" And ViewState("IMmode") <> "M" Then
            Response.Redirect("ProjectStage_L.aspx")
            Exit Sub
        End If

        Dim flgSuccess As Boolean
        '資料驗證
        If HasValidationSummaryToAlert(Page) Then
            Exit Sub
        End If

        Dim strSQL As String
        Dim cDbf As New DbFunctions2

        If ViewState("IMmode") = "I" Then
            strSQL = "insert into Stage values ("
            strSQL += " '" & cDbf.AntiSQLInj(Me.ddlpName.SelectedValue) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.sName.Text) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.pDesc.Text) & "', "
            strSQL += " '" & CYearToDb(cDbf.AntiSQLInj(Me.pSDate.Text)) & "', "
            strSQL += " '" & CYearToDb(cDbf.AntiSQLInj(Me.pEDate.Text)) & "', "
            strSQL += " '" & CYearToDb(cDbf.AntiSQLInj(Me.rSDate.Text)) & "', "
            strSQL += " '" & CYearToDb(cDbf.AntiSQLInj(Me.rEDate.Text)) & "' "
            strSQL += ")"
        Else
            strSQL = "update Stage set "
            strSQL += " pDesc='" & cDbf.AntiSQLInj(Me.pDesc.Text) & "', "
            strSQL += " pSDate='" & CYearToDb(cDbf.AntiSQLInj(Me.pSDate.Text)) & "', "
            strSQL += " pEDate='" & CYearToDb(cDbf.AntiSQLInj(Me.pEDate.Text)) & "', "
            strSQL += " rSDate='" & CYearToDb(cDbf.AntiSQLInj(Me.rSDate.Text)) & "', "
            strSQL += " rEDate='" & CYearToDb(cDbf.AntiSQLInj(Me.rEDate.Text)) & "' "
            strSQL += " where pName='" & ViewState("pName") & "' and sName='" & ViewState("sName") & "' "
        End If
        'Me.lblStatus.Text = strSQL
        Try
            cDbf.ExecuteNonQuery(strSQL)
            flgSuccess = True
            If ViewState("IMmode") = "I" Then
                ActionLog("I", "Stage Insert", cDbf.AntiSQLInj(Me.ddlpName.SelectedValue) & "_" & cDbf.AntiSQLInj(Me.sName.Text))
            Else
                ActionLog("M", "Stage Update", cDbf.AntiSQLInj(Me.ddlpName.SelectedValue) & "_" & cDbf.AntiSQLInj(Me.sName.Text))
            End If
        Catch ex As Exception
            'ShowStatus(Me.Page, Me.lblStatus, ex.Message, 5000)
            Me.lblStatus.Text = ex.Message
            flgSuccess = False
        End Try

        cDbf.ConnectionClose()
        cDbf = Nothing

        If flgSuccess Then
            Response.Redirect("ProjectStage_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
        End If

    End Sub

    Protected Sub btnBack_Click1(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnBack.Click
        Response.Redirect("ProjectStage_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
    End Sub
End Class