﻿<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="ProjectStage_L.aspx.vb" Inherits="App_PRG_Project_ProjectStage_L" title="專案階段列表(ProjectStage_L)" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder_Master" Runat="Server">
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
    <table cellspacing="0" cellpadding="0" width="100%" border="0">
        <tr>
            <td align="center">
                <table cellspacing="0" cellpadding="0" border="0">
		                <tr>
		                    <td><asp:Image ID="Title_Left" runat="server" ImageUrl="~/_Images/Title_Left.jpg" /></td>
		                    <td class="TitleMiddle"><%=WiseProto.F_HeaderTitle(Me.Page.Title)%></td>
		                    <td><asp:Image ID="Title_Right" runat="server" ImageUrl="~/_Images/Title_Right.jpg" /></td>
		                </tr>
		         </table>
            </td>
        </tr> 
        <tr>
            <td>
                <table border="0" width="100%" cellpadding="0" cellspacing="0">
                    <tr>
                        <td><asp:Image ID="Image1" runat="server" SkinID="Status_img" /></td>
                        <td class="StatusBg"><asp:Label ID="lblStatus" runat="server" Text=""></asp:Label></td>
                     </tr>
                 </table>
            </td>
        </tr> 
		<tr align="center">
			<td class="QueryBg">
				<asp:imagebutton id="btnNew" runat="server" SkinID="Insert" />
			</td>
		</tr>
		<tr>
		    <td>
		        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
                AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="PNAME,SNAME" 
                DataSourceID="SqlDataSource1">
                    <Columns>
                        <asp:CommandField EditImageUrl="~/_Images/iEdit.gif" 
                            ShowEditButton="True" ButtonType="Image" HeaderText="Edit" ItemStyle-HorizontalAlign="Center" />
                        <asp:CommandField DeleteImageUrl="~/_Images/iDelete.gif" 
                            ShowDeleteButton="True" ButtonType="Image" HeaderText="Delete" ItemStyle-HorizontalAlign="Center" />
                        <asp:BoundField DataField="PNAME" HeaderText="專案名稱" SortExpression="PNAME" />
                        <asp:BoundField DataField="SNAME" HeaderText="階段名稱" SortExpression="SNAME" />
                        <asp:BoundField DataField="PDESC" HeaderText="階段描述" SortExpression="PDESC" />
                        <asp:TemplateField HeaderText="預計開始日" SortExpression="PSDATE">
                            <ItemStyle HorizontalAlign="center" />
                            <ItemTemplate>
                                <asp:Label ID="lblPSDATE" runat="server" Text='<%# CYearFromDb(DataBinder.Eval(Container.DataItem,"PSDATE")) %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="預計結束日" SortExpression="PEDATE">
                            <ItemStyle HorizontalAlign="center" />
                            <ItemTemplate>
                                <asp:Label ID="lblPEDATE" runat="server" Text='<%# CYearFromDb(DataBinder.Eval(Container.DataItem,"PEDATE")) %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="實際開始日"  SortExpression="RSDATE">
                            <ItemStyle HorizontalAlign="center" />
                            <ItemTemplate>
                                <asp:Label ID="lblRSDATE" runat="server" Text='<%# CYearFromDb(DataBinder.Eval(Container.DataItem,"RSDATE")) %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="實際結束日"  SortExpression="REDATE">
                            <ItemStyle HorizontalAlign="center" />
                            <ItemTemplate>
                                <asp:Label ID="lblREDATE" runat="server" Text='<%# CYearFromDb(DataBinder.Eval(Container.DataItem,"REDATE")) %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
		    </td>
		</tr>
    </table>
    </ContentTemplate>
    </asp:UpdatePanel>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:orcl %>" 
        ProviderName="<%$ ConnectionStrings:orcl.ProviderName %>" 
        
        SelectCommand="select pName,sName,pDesc,pSdate,pEDate,rSDate,rEDate from Stage"
        DeleteCommand="DELETE FROM &quot;STAGE&quot; WHERE &quot;PNAME&quot; = :PNAME AND &quot;SNAME&quot; = :SNAME" 
        >
        <DeleteParameters>
            <asp:Parameter Name="PNAME" Type="String" />
            <asp:Parameter Name="SNAME" Type="String" />
        </DeleteParameters>
    </asp:SqlDataSource>
</asp:Content>