﻿<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="Project_L.aspx.vb" Inherits="App_PRG_Project_Project_L" title="專案基本資料列表(Project_L)" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder_Master" Runat="Server">
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
    <table cellspacing="0" cellpadding="0" width="100%" border="0">
        <tr>
            <td align="center">
                <table cellspacing="0" cellpadding="0" border="0">
		                <tr>
		                    <td><asp:Image ID="Title_Left" runat="server" ImageUrl="~/_Images/Title_Left.jpg" /></td>
		                    <td class="TitleMiddle"><%=WiseProto.F_HeaderTitle(Me.Page.Title)%></td>
		                    <td><asp:Image ID="Title_Right" runat="server" ImageUrl="~/_Images/Title_Right.jpg" /></td>
		                </tr>
		         </table>
            </td>
        </tr> 
        <tr>
            <td>
                <table border="0" width="100%" cellpadding="0" cellspacing="0">
                    <tr>
                        <td><asp:Image ID="Image1" runat="server" SkinID="Status_img" /></td>
                        <td class="StatusBg"><asp:Label ID="lblStatus" runat="server" Text=""></asp:Label></td>
                     </tr>
                 </table>
            </td>
        </tr> 
		<tr align="center">
			<td class="QueryBg">
				<asp:imagebutton id="btnNew" runat="server" SkinID="Insert" />
			</td>
		</tr>
		<tr>
		    <td>
		        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
                AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="PNAME" 
                DataSourceID="SqlDataSource1">
                    <Columns>
                        <asp:CommandField EditImageUrl="~/_Images/iEdit.gif" 
                            ShowEditButton="True" ButtonType="Image" HeaderText="Edit" ItemStyle-HorizontalAlign="Center" />
                        <asp:CommandField DeleteImageUrl="~/_Images/iDelete.gif" 
                            ShowDeleteButton="True" ButtonType="Image" HeaderText="Delete" ItemStyle-HorizontalAlign="Center" />
                        <asp:BoundField DataField="cName" HeaderText="客戶名稱" SortExpression="cName" />
                        <asp:BoundField DataField="pName" HeaderText="專案名稱" SortExpression="pName" />
                        <asp:TemplateField HeaderText="合約日" SortExpression="contractDate">
                            <ItemStyle HorizontalAlign="center" />
                            <ItemTemplate>
                                <asp:Label ID="lblContractDate" runat="server" Text='<%# CYearFromDb(DataBinder.Eval(Container.DataItem,"contractDate")) %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="結案日" SortExpression="endDate">
                            <ItemStyle HorizontalAlign="center" />
                            <ItemTemplate>
                                <asp:Label ID="lblEndDate" runat="server" Text='<%# CYearFromDb(DataBinder.Eval(Container.DataItem,"endDate")) %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                         <asp:TemplateField HeaderText="簽約金額" SortExpression="pCost">
                            <ItemStyle HorizontalAlign="right" />
                            <ItemTemplate>
                                <asp:Label ID="lblpCost" runat="server" Text='<%# formatnumber(DataBinder.Eval(Container.DataItem,"pCost"),0) %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="eName" HeaderText="專案負責人" SortExpression="eName" />
                    </Columns>
                </asp:GridView>
		    </td>
		</tr>
    </table>
    </ContentTemplate>
    </asp:UpdatePanel>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:orcl %>" 
        ProviderName="<%$ ConnectionStrings:orcl.ProviderName %>" 
        
        SelectCommand="select cName,pName,pYear,contractDate,endDate,pCost,eName from Project,Customer,Employee where Project.pcId=Customer.cId and Project.pManager=Employee.eId"
        DeleteCommand="DELETE FROM Project WHERE pName= :PNAME">
        <DeleteParameters>
            <asp:Parameter Name="PNAME" Type="String" />
        </DeleteParameters>
    </asp:SqlDataSource>
</asp:Content>