﻿
Partial Class App_PRG_Project_Title
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            If IsNothing(Session("S_UserSID")) Then
                ExecJavascript("top.window.location='../../login.aspx';", "toLoginPage", False, Me.Page)
                Exit Sub
            End If

            ViewState("IMmode") = clsSQL_Inj(Request("IM"))

            If ViewState("IMmode") = "M" Then
                ViewState("SID") = clsSQL_Inj(Request("SID"))
                BindData()
                Me.Image2.ImageUrl = "~/_Images/pModify.jpg"
            End If

        End If
    End Sub

    Protected Sub BindData()
        Dim strSQL As String
        Dim cDbf As New DbFunctions2
        Dim dr As OracleDataReader

        strSQL = "select *  from TITLE where TNAME='" & ViewState("SID") & "'"
        dr = cDbf.GetDataReader(strSQL)
        If dr.Read Then
            Me.tName.Text = dr("TNAME")
            Me.tDesc.Text = dr("TDESC")
            Me.costPerHr.Text = dr("COSTPERHR")
            Me.tName.Enabled = False
        End If

        cDbf.ConnectionClose()
        cDbf = Nothing
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnSave.Click

        If ViewState("IMmode") <> "I" And ViewState("IMmode") <> "M" Then
            Response.Redirect("Title_L.aspx")
            Exit Sub
        End If

        Dim flgSuccess As Boolean
        '資料驗證
        If HasValidationSummaryToAlert(Page) Then
            Exit Sub
        End If

        Dim strSQL As String
        Dim cDbf As New DbFunctions2

        If ViewState("IMmode") = "I" Then
            strSQL = "insert into Title values ("
            strSQL += " '" & cDbf.AntiSQLInj(Me.tName.Text) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.tDesc.Text) & "', "
            strSQL += " " & cDbf.AntiSQLInj(Me.costPerHr.Text) & " "
            strSQL += ")"
        Else
            strSQL = "update Title set "
            strSQL += "tDesc='" & cDbf.AntiSQLInj(Me.tDesc.Text) & "', "
            strSQL += "costPerHr=" & cDbf.AntiSQLInj(Me.costPerHr.Text) & " "
            strSQL += " where TNAME='" & ViewState("SID") & "' "
        End If

        Try
            cDbf.ExecuteNonQuery(strSQL)
            flgSuccess = True
            If ViewState("IMmode") = "I" Then
                ActionLog("I", "Title Insert", cDbf.AntiSQLInj(Me.tName.Text))
            Else
                ActionLog("M", "Title Update", cDbf.AntiSQLInj(Me.tName.Text))
            End If
        Catch ex As Exception
            'ShowStatus(Me.Page, Me.lblStatus, ex.Message, 5000)
            Me.lblStatus.Text = ex.Message
            flgSuccess = False
        End Try

        cDbf.ConnectionClose()
        cDbf = Nothing

        If flgSuccess Then
            Response.Redirect("Title_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
        End If

    End Sub

    Protected Sub btnBack_Click1(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnBack.Click
        Response.Redirect("Title_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
    End Sub
End Class