Namespace WiseProto

    Public Module Functions_Date

        Public Function CrMdDateString(ByVal CrMdDate As Object) As String
            'Return 2005-10-09 15:23:50
            If CrMdDate.GetType.Name = "DBNull" Then
                Return ""
            End If

            Dim strYear As String = CrMdDate.Year
            Dim strMonth As String = CrMdDate.Month.ToString.PadLeft(2, "0")
            Dim strDay As String = CrMdDate.Day.ToString.PadLeft(2, "0")
            Dim strHour As String = CrMdDate.Hour.ToString.PadLeft(2, "0")
            Dim strMinute As String = CrMdDate.Minute.ToString.PadLeft(2, "0")
            Dim strSecond As String = CrMdDate.Second.ToString.PadLeft(2, "0")
            CrMdDateString = strYear & "-" & strMonth & "-" & strDay & " " & strHour & ":" & strMinute & ":" & strSecond
        End Function

        Function getChtYear() As String
            Return (Year(Now) - 1911).ToString.PadLeft(3, "0")
        End Function

        Function getStrToday() As String
            '^ǤѪ 20050115
            Return Year(Now) & Now.Month.ToString.PadLeft(2, "0") & Now.Day.ToString.PadLeft(2, "0")
        End Function

        Function CYear(ByVal txtCDate As String) As String
            '~ন褸~
            '93.01.15-->20040115
            If Len(Trim(txtCDate)) > 0 Then
                CYear = (Split(txtCDate, ".")(0) + 1911) & Right("0" + Split(txtCDate, ".")(1), 2) & Right("0" + Split(txtCDate, ".")(2), 2)
            Else
                CYear = ""
            End If
        End Function

        Function WYear(ByVal txtWDate As String) As String
            '褸~ন~
            '20040115 --> 93.01.15
            If Len(Trim(txtWDate)) > 0 Then
                WYear = Left(txtWDate, 4) - 1911 & "." & Mid(txtWDate, 5, 2) & "." & Right(txtWDate, 2)
            Else
                WYear = ""
            End If
        End Function

        Function WYear2(ByVal txtWDate As String) As String
            '褸~ন褸~
            '20040115 --> 2004-01-15
            If Len(Trim(txtWDate)) > 0 Then
                WYear2 = Left(txtWDate, 4) & "-" & Mid(txtWDate, 5, 2) & "-" & Right(txtWDate, 2)
            Else
                WYear2 = ""
            End If
        End Function

        Function CYearToDb(ByVal txtCDate As String) As String
            '褸~ন褸~
            '2004.01.15 --> 20040115
            If Len(Trim(txtCDate)) > 0 Then
                CYearToDb = txtCDate.Replace(".", "")
            Else
                CYearToDb = ""
            End If
        End Function

        Function CYearFromDb(ByVal txtCDate As Object) As String
            '褸~ন褸~
            '20040115 --> 2004.01.15
            If txtCDate.GetType.Name = "DBNull" Then
                Return ""
            Else
                txtCDate = CType(txtCDate, String)
            End If

            If Len(Trim(txtCDate)) > 0 Then
                CYearFromDb = Left(txtCDate, 4) & "." & Mid(txtCDate, 5, 2) & "." & Right(txtCDate, 2)
            Else
                CYearFromDb = ""
            End If
        End Function

        Function CYearFromDateTime(ByVal txtCDate As Object) As String
            'ɶ榡ন褸~
            '20040115 --> 2004.01.15
            If txtCDate.GetType.Name = "DBNull" Then
                Return ""
            Else
                txtCDate = CType(txtCDate, DateTime)
            End If

            Dim rtn As String = ""
            rtn = Year(txtCDate)
            rtn += "/" & Month(txtCDate).ToString().PadLeft(2, "0")
            rtn += "/" & Day(txtCDate).ToString().PadLeft(2, "0")
            rtn += " " & Hour(txtCDate).ToString().PadLeft(2, "0")
            rtn += ":" & Minute(txtCDate).ToString().PadLeft(2, "0")
            rtn += ":" & Second(txtCDate).ToString().PadLeft(2, "0")
            Return rtn

        End Function

        Function chtToDb(ByVal txtDate As String) As String
            '~h .
            '93.01.15 --> 930115
            If Len(txtDate) > 0 Then
                chtToDb = txtDate.Replace(".", "")
            Else
                Return ""
            End If
        End Function

        ''' <summary>
        ''' 褸~ন褸~[WP
        ''' </summary>
        ''' <param name="txtCDate">20070115</param>
        ''' <returns>2007.01.15 (@)</returns>
        ''' <remarks></remarks>
        Function WYear3AndChtWeekDay(ByVal txtCDate As Object) As String

            Dim txtRtnYear As String = ""
            Dim WeekString() As String = {"", "@", "G", "T", "|", "", ""}


            If txtCDate.GetType.Name = "DBNull" Then
                Return ""
            Else
                txtCDate = CType(txtCDate, String)
            End If

            If Len(Trim(txtCDate)) > 0 Then
                txtRtnYear = Left(txtCDate, 4) & "-" & Mid(txtCDate, 5, 2) & "-" & Right(txtCDate, 2)
            Else
                txtRtnYear = ""
            End If

            If txtRtnYear <> "" Then
                Return txtRtnYear.Replace("-", ".") & " (" & WeekString(CType(txtRtnYear, Date).DayOfWeek) & ")"
            Else
                Return ""
            End If
        End Function

        ''' <summary>
        ''' 褸~ন~[WP
        ''' </summary>
        ''' <param name="txtCDate">20070115</param>
        ''' <returns>96.01.15 (@)</returns>
        ''' <remarks></remarks>
        Function CYear3AndChtWeekDay(ByVal txtCDate As Object) As String

            Dim txtRtnYear As String = ""
            Dim txtRtnChtDate As String = ""
            Dim WeekString() As String = {"", "@", "G", "T", "|", "", ""}


            If txtCDate.GetType.Name = "DBNull" Then
                Return ""
            Else
                txtCDate = CType(txtCDate, String)
            End If

            If Len(Trim(txtCDate)) > 0 Then
                txtRtnYear = Left(txtCDate, 4) & "-" & Mid(txtCDate, 5, 2) & "-" & Right(txtCDate, 2)
                txtRtnChtDate = WYear(txtCDate)
            Else
                txtRtnYear = ""
            End If

            If txtRtnYear <> "" Then
                Return txtRtnChtDate & " (" & WeekString(CType(txtRtnYear, Date).DayOfWeek) & ")"
            Else
                Return ""
            End If
        End Function

        Function rtnLongDateTime(ByVal dt As Object) As String
            If dt.GetType.Name = "DBNull" Then
                Return ""
            Else
                dt = CType(dt, DateTime)
            End If
            'Return 2005-01-15 10:30:45
            Dim sy As String = Year(dt)
            Dim sm As String = Month(dt).ToString.PadLeft(2, "0")
            Dim sd As String = Day(dt).ToString.PadLeft(2, "0")
            Dim shh As String = Hour(dt).ToString.PadLeft(2, "0")
            Dim smm As String = Minute(dt).ToString.PadLeft(2, "0")
            Dim sss As String = Second(dt).ToString.PadLeft(2, "0")

            Return sy & "-" & sm & "-" & sd & " " & shh & ":" & smm & ":" & sss

        End Function

        ''' <summary>
        ''' 
        ''' </summary>
        ''' <param name="ST">20070418</param>
        ''' <param name="ED">20070423</param>
        ''' <param name="ChtOrCen">Cht|Cen</param>
        ''' <returns>96.04.18 (T) ~ 96.04.23 (@)</returns>
        ''' <remarks></remarks>
        Function txtSTtoED(ByVal ST As String, ByVal ED As String, ByVal ChtOrCen As String) As String
            Dim txtSTED As String
            If ChtOrCen.ToLower() = "cht" Then
                txtSTED = CYear3AndChtWeekDay(ST) & " ~ " & CYear3AndChtWeekDay(ED)
            Else
                txtSTED = WYear3AndChtWeekDay(ST) & " ~ " & WYear3AndChtWeekDay(ED)
            End If

            Return txtSTED
        End Function

        ''' <summary>
        '''  20070115 to 96~115
        ''' </summary>
        ''' <param name="cyear"></param>
        ''' <returns></returns>
        ''' <remarks></remarks>
        Function CYearToChtDayS(ByVal cyear As String) As String
            Dim rtn As String = ""
            If cyear.Length = 8 Then
                rtn = cyear.Substring(0, 4) - 1911 & "~" & cyear.Substring(4, 2).TrimStart("0") & "" & cyear.Substring(6, 2).TrimStart("0") & ""
            Else
                Return ""
            End If
            Return rtn
        End Function

    End Module

End Namespace
