Imports System.Web.Security
Imports System.Security.Principal

Namespace WiseProto

    Public Class LoginUserInfo
        Function UserId() As String
            Dim pUser As IPrincipal = HttpContext.Current.User
            Dim id As FormsIdentity = CType(pUser.Identity, FormsIdentity)

            Return pUser.Identity.Name
        End Function

        Function UserHostAddress() As String
            Dim _Request As System.Web.HttpRequest

            _Request = HttpContext.Current.Request
            Return _Request.UserHostAddress
        End Function

        Function UserName() As String
            Dim _Session As System.Web.SessionState.HttpSessionState

            _Session = HttpContext.Current.Session
            Return _Session("S_UserName")
        End Function

        Sub CheckLogin()
            Dim pUser As IPrincipal = HttpContext.Current.User
            Dim id As FormsIdentity = CType(pUser.Identity, FormsIdentity)
            Dim ticket As FormsAuthenticationTicket = id.Ticket
            Dim _Session As System.Web.SessionState.HttpSessionState

            _Session = HttpContext.Current.Session

            If ticket.Expired Then
                ReDirectToLogin()
            End If

            Dim strPrgName As String
            Dim strSession_Path As String
            Dim strCurrentUrl As String
            strCurrentUrl = HttpContext.Current.Request.CurrentExecutionFilePath

            'strPrgName = HttpContext.Current.Request.Url.Segments(HttpContext.Current.Request.Url.Segments.Length - 1).ToLower()
            'W줣CurrentUrl !!

            strPrgName = strCurrentUrl.Substring(strCurrentUrl.LastIndexOf("/") + 1).ToLower()
            strSession_Path = _Session("S_PRG_PATH")
            If strSession_Path <> Nothing Then
                If CType(strSession_Path, String).ToLower().IndexOf(strPrgName) < 0 Then
                    ReDirectToLogin()
                End If
            Else
                ReDirectToLogin()
            End If


        End Sub

        Sub SubWindowCheckLogin()
            Dim pUser As IPrincipal = HttpContext.Current.User
            Dim id As FormsIdentity = CType(pUser.Identity, FormsIdentity)
            Dim ticket As FormsAuthenticationTicket = id.Ticket
            Dim _Session As System.Web.SessionState.HttpSessionState

            _Session = HttpContext.Current.Session

            If ticket.Expired Then
                CloseWindow("1")
            End If

            Dim strPrgName As String
            Dim strSession_Path As String
            Dim strCurrentUrl As String
            strCurrentUrl = HttpContext.Current.Request.CurrentExecutionFilePath

            'strPrgName = HttpContext.Current.Request.Url.Segments(HttpContext.Current.Request.Url.Segments.Length - 1).ToLower()
            'W줣CurrentUrl !!

            strPrgName = strCurrentUrl.Substring(strCurrentUrl.LastIndexOf("/") + 1).ToLower()
            strSession_Path = _Session("S_PRG_PATH")
            If IsNothing(strSession_Path) Then
                CloseWindow("1")
            End If

        End Sub

        Sub SubPrgWindowCheckLogin()
            Dim pUser As IPrincipal = HttpContext.Current.User
            Dim id As FormsIdentity = CType(pUser.Identity, FormsIdentity)
            Dim ticket As FormsAuthenticationTicket = id.Ticket
            Dim _Session As System.Web.SessionState.HttpSessionState

            _Session = HttpContext.Current.Session

            If ticket.Expired Then
                CloseWindow("0")
            End If

            Dim strPrgName As String
            Dim strSession_Path As String
            Dim strCurrentUrl As String
            strCurrentUrl = HttpContext.Current.Request.CurrentExecutionFilePath

            'strPrgName = HttpContext.Current.Request.Url.Segments(HttpContext.Current.Request.Url.Segments.Length - 1).ToLower()
            'W줣CurrentUrl !!

            strPrgName = strCurrentUrl.Substring(strCurrentUrl.LastIndexOf("/") + 1).ToLower()
            strSession_Path = _Session("S_PRG_PATH")
            If IsNothing(strSession_Path) Then
                CloseWindow("0")
            End If
        End Sub

        Sub ReDirectToLogin()
            Dim strRawUrl As String
            FormsAuthentication.SignOut()
            strRawUrl = HttpContext.Current.Request.RawUrl
            HttpContext.Current.Response.Redirect("~/login.aspx?ReturnUrl=" & strRawUrl & "&NW=0")   'NW=0 OnLogin.aspx n}sΪ
        End Sub

        Private Sub CloseWindow(ByVal cs As Char)
            Dim txtScript As String
            If cs = "1" Then
                txtScript = "<script language='javascript'>" & vbCrLf
                txtScript += " alert('@~O,ЭsnJ'); " & vbCrLf
                txtScript += "window.close();" & vbCrLf
                txtScript += "</script>" & vbCrLf
                HttpContext.Current.Response.Write(txtScript)
            Else
                txtScript = "<script language='javascript'>" & vbCrLf
                txtScript += " alert('@~O,ЭsnJ'); " & vbCrLf
                txtScript += "</script>" & vbCrLf
                HttpContext.Current.Response.Write(txtScript)
            End If

        End Sub

    End Class

End Namespace
