﻿Partial Class App_PRG_Project_Customer
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            If IsNothing(Session("S_UserSID")) Then
                ExecJavascript("top.window.location='../../login.aspx';", "toLoginPage", False, Me.Page)
                Exit Sub
            End If

            ViewState("IMmode") = clsSQL_Inj(Request("IM"))

            If ViewState("IMmode") = "M" Then
                ViewState("SID") = clsSQL_Inj(Request("SID"))
                BindData()
                Me.Image2.ImageUrl = "~/_Images/pModify.jpg"
            End If

        End If
    End Sub

    Protected Sub BindData()
        Dim strSQL As String
        Dim cDbf As New DbFunctions2
        Dim dr As OracleDataReader

        strSQL = "select *  from Customer where CID='" & ViewState("SID") & "'"
        dr = cDbf.GetDataReader(strSQL)
        If dr.Read Then
            Me.CID.Text = dr("CID")
            Me.cName.Text = dr("cName")
            Me.sName.Text = dr("sName")
            Me.cAddress.Text = dr("cAddress")
            Me.cContact.Text = dr("cContact")
            Me.cTel.Text = dr("cTel")
            Me.cName.Enabled = False
        End If

        cDbf.ConnectionClose()
        cDbf = Nothing
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnSave.Click

        If ViewState("IMmode") <> "I" And ViewState("IMmode") <> "M" Then
            Response.Redirect("Customer_L.aspx")
            Exit Sub
        End If

        Dim flgSuccess As Boolean
        '資料驗證
        If HasValidationSummaryToAlert(Page) Then
            Exit Sub
        End If

        Dim strSQL As String
        Dim cDbf As New DbFunctions2

        If ViewState("IMmode") = "I" Then
            strSQL = "insert into Customer values ("
            strSQL += " '" & cDbf.AntiSQLInj(Me.CID.Text) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.cName.Text) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.sName.Text) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.cAddress.Text) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.cContact.Text) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.cTel.Text) & "' "
            strSQL += ")"
        Else
            strSQL = "update Customer set "
            strSQL += "cName='" & cDbf.AntiSQLInj(Me.cName.Text) & "', "
            strSQL += "sName='" & cDbf.AntiSQLInj(Me.sName.Text) & "', "
            strSQL += "cAddress='" & cDbf.AntiSQLInj(Me.cAddress.Text) & "', "
            strSQL += "cContact='" & cDbf.AntiSQLInj(Me.cContact.Text) & "', "
            strSQL += "cTel='" & cDbf.AntiSQLInj(Me.cTel.Text) & "' "
            strSQL += " where CID='" & ViewState("SID") & "' "
        End If

        Try
            cDbf.ExecuteNonQuery(strSQL)
            flgSuccess = True
            If ViewState("IMmode") = "I" Then
                ActionLog("I", "Customer Insert", cDbf.AntiSQLInj(Me.CID.Text))
            Else
                ActionLog("M", "Customer Update", cDbf.AntiSQLInj(Me.CID.Text))
            End If
        Catch ex As Exception
            'ShowStatus(Me.Page, Me.lblStatus, ex.Message, 5000)
            Me.lblStatus.Text = ex.Message
            flgSuccess = False
        End Try

        cDbf.ConnectionClose()
        cDbf = Nothing

        If flgSuccess Then
            Response.Redirect("Customer_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
        End If

    End Sub

    Protected Sub btnBack_Click1(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnBack.Click
        Response.Redirect("Customer_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
    End Sub
End Class
