﻿
Partial Class App_PRG_Project_Employee
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            If IsNothing(Session("S_UserSID")) Then
                ExecJavascript("top.window.location='../../login.aspx';", "toLoginPage", False, Me.Page)
                Exit Sub
            End If

            ViewState("IMmode") = clsSQL_Inj(Request("IM"))

            BindDdls()

            If ViewState("IMmode") = "M" Then
                ViewState("SID") = clsSQL_Inj(Request("SID"))
                BindData()
                Me.Image2.ImageUrl = "~/_Images/pModify.jpg"
            Else
                getEmpID()
            End If

        End If
    End Sub

    Protected Sub getEmpID()
        Dim strSQL As String = ""
        Dim strYear As String = Right("0" & Year(Now()) - 1911, 3)
        Dim strEid As String = ""
        strSQL = "select max(eid) from employee"
        Dim cDbf As New DbFunctions2
        Dim dr As OracleDataReader
        Try
            dr = cDbf.GetDataReader(strSQL)
            If dr.Read() Then
                strEid = Right(dr(0), 3)
            End If
            dr.Close()
            strEid = strYear & Right("0" & (CInt(strEid) + 1).ToString(), 3)
            Me.eId.Text = strEid
            Me.eId.Enabled = False
        Catch ex As Exception
        Finally
            cDbf.ConnectionClose()
            cDbf = Nothing
        End Try
    End Sub

    Protected Sub BindDdls()
        'DropDownList, strSQL,DataTextField,DataValueField
        Dim strSQL As String = ""

        strSQL = "select * from Department order by dId"
        BuildDdl(Me.ddldId, strSQL, "dName", "dId")

        strSQL = "select * from Title order by tName"
        BuildDdl(Me.ddleTitle, strSQL, "tName", "tName")

    End Sub

    Protected Sub BindData()
        Dim strSQL As String
        Dim cDbf As New DbFunctions2
        Dim dr As OracleDataReader

        strSQL = "select *  from Employee where eId='" & ViewState("SID") & "'"
        dr = cDbf.GetDataReader(strSQL)
        If dr.Read Then
            Me.ddldId.SelectedValue = dr("dId")
            Me.eId.Text = dr("eId")
            Me.eName.Text = dr("eName")
            Me.ddleTitle.SelectedValue = dr("eTitle")
            Me.eId.Enabled = False
        End If

        cDbf.ConnectionClose()
        cDbf = Nothing
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnSave.Click

        If ViewState("IMmode") <> "I" And ViewState("IMmode") <> "M" Then
            Response.Redirect("Employee_L.aspx")
            Exit Sub
        End If

        Dim flgSuccess As Boolean
        '資料驗證
        If HasValidationSummaryToAlert(Page) Then
            Exit Sub
        End If

        Dim strSQL As String
        Dim cDbf As New DbFunctions2

        If ViewState("IMmode") = "I" Then
            strSQL = "insert into Employee values ("
            strSQL += " '" & Me.ddldId.SelectedValue & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.eId.Text) & "', "
            strSQL += " '" & cDbf.AntiSQLInj(Me.eName.Text) & "', "
            strSQL += " '" & Me.ddleTitle.SelectedValue & "' "
            strSQL += ")"
        Else
            strSQL = "update Employee set "
            strSQL += "dId='" & Me.ddldId.SelectedValue & "', "
            strSQL += "eName='" & cDbf.AntiSQLInj(Me.eName.Text) & "', "
            strSQL += "eTitle='" & Me.ddleTitle.SelectedValue & "' "
            strSQL += " where eId='" & ViewState("SID") & "' "
        End If

        Try
            cDbf.ExecuteNonQuery(strSQL)
            flgSuccess = True
            If ViewState("IMmode") = "I" Then
                ActionLog("I", "Employee Insert", cDbf.AntiSQLInj(Me.eId.Text))
            Else
                ActionLog("M", "Employee Update", cDbf.AntiSQLInj(Me.eId.Text))
            End If
        Catch ex As Exception
            'ShowStatus(Me.Page, Me.lblStatus, ex.Message, 5000)
            Me.lblStatus.Text = ex.Message
            flgSuccess = False
        End Try

        cDbf.ConnectionClose()
        cDbf = Nothing

        If flgSuccess Then
            Response.Redirect("Employee_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
        End If

    End Sub

    Protected Sub btnBack_Click1(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnBack.Click
        Response.Redirect("Employee_L.aspx?PreQuery=" & clsSQL_Inj(Request("PreQuery")))
    End Sub
End Class