﻿<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="JobResponse_L.aspx.vb" Inherits="App_PRG_Project_JobResponse_L" title="工作回報列表(JobResponse_L)" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder_Master" Runat="Server">
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
    <table cellspacing="0" cellpadding="0" width="100%" border="0">
        <tr>
            <td align="center">
                <table cellspacing="0" cellpadding="0" border="0">
		                <tr>
		                    <td><asp:Image ID="Title_Left" runat="server" ImageUrl="~/_Images/Title_Left.jpg" /></td>
		                    <td class="TitleMiddle"><%=WiseProto.F_HeaderTitle(Me.Page.Title)%></td>
		                    <td><asp:Image ID="Title_Right" runat="server" ImageUrl="~/_Images/Title_Right.jpg" /></td>
		                </tr>
		         </table>
            </td>
        </tr> 
        <tr>
            <td>
                <table border="0" width="100%" cellpadding="0" cellspacing="0">
                    <tr>
                        <td><asp:Image ID="Image1" runat="server" SkinID="Status_img" /></td>
                        <td class="StatusBg"><asp:Label ID="lblStatus" runat="server" Text=""></asp:Label></td>
                     </tr>
                 </table>
            </td>
        </tr> 
		<tr align="center">
			<td class="QueryBg">
				<asp:imagebutton id="btnNew" runat="server" SkinID="Insert" />
			</td>
		</tr>
		<tr>
		    <td>
		        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
                AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="PNAME,SNAME,JMEMBER,responseDate" 
                DataSourceID="SqlDataSource1">
                    <Columns>
                        <asp:CommandField EditImageUrl="~/_Images/iEdit.gif" 
                            ShowEditButton="True" ButtonType="Image" HeaderText="Edit" ItemStyle-HorizontalAlign="Center" />
                        <asp:CommandField DeleteImageUrl="~/_Images/iDelete.gif" 
                            ShowDeleteButton="True" ButtonType="Image" HeaderText="Delete" ItemStyle-HorizontalAlign="Center" />
                        <asp:BoundField DataField="PNAME" HeaderText="專案名稱" SortExpression="PNAME" />
                        <asp:BoundField DataField="SNAME" HeaderText="階段名稱" SortExpression="SNAME" />
                        <asp:BoundField DataField="eName" HeaderText="員工姓名" SortExpression="eName" />
                        <asp:TemplateField HeaderText="回報日" SortExpression="responseDate">
                            <ItemStyle HorizontalAlign="center" />
                            <ItemTemplate>
                                <asp:Label ID="lblResponseDate" runat="server" Text='<%# CYearFromDb(DataBinder.Eval(Container.DataItem,"responseDate")) %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="responseDes" HeaderText="回報內容" SortExpression="responseDes" />
                        <asp:BoundField DataField="workHours" HeaderText="工時" SortExpression="workHours" ItemStyle-HorizontalAlign="Right" />
                    </Columns>
                </asp:GridView>
		    </td>
		</tr>
    </table>
    </ContentTemplate>
    </asp:UpdatePanel>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:orcl %>" 
        ProviderName="<%$ ConnectionStrings:orcl.ProviderName %>" 
        
        DeleteCommand="DELETE FROM JobResponse WHERE PNAME=:PNAME AND SNAME=:SNAME and JMEMBER=:JMEMBER and responseDate=:responseDate" 
        >
        <DeleteParameters>
            <asp:Parameter Name="PNAME" Type="String" />
            <asp:Parameter Name="SNAME" Type="String" />
            <asp:Parameter Name="JMEMBER" Type="String" />
            <asp:Parameter Name="responseDate" Type="String" />
        </DeleteParameters>
    </asp:SqlDataSource>
</asp:Content>