﻿Imports System.Data
Partial Class App_PRG_Reports_R1300
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            If IsNothing(Session("S_UserSID")) Then
                ExecJavascript("top.window.location='../../login.aspx';", "toLoginPage", False, Me.Page)
                Exit Sub
            End If

            BindDdls()
            ddlYear_SelectedIndexChanged(Me.ddlYear, e)
        End If
    End Sub

    Protected Sub BindDdls()
        'DropDownList, strSQL,DataTextField,DataValueField
        Dim strSQL As String = ""

        strSQL = "select pyear,count(*) as cnt from project group by pyear order by pyear"
        BuildDdl(Me.ddlYear, strSQL, "pyear", "pyear")

    End Sub

    Protected Sub ddlYear_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddlYear.SelectedIndexChanged
        Dim strSQL As String = ""

        strSQL = "select pname from project where pyear='" & Me.ddlYear.SelectedValue & "' "
        BuildDdl(Me.ddlProject, strSQL, "pname", "pname")
        Me.ddlProject.Items.Add(New ListItem("全部專案", "all"))
        Me.ddlProject.SelectedValue = "all"
    End Sub

    Protected Sub btnQry_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnQry.Click
        Dim strSQL As String = ""
        Dim strWhere As String = " and pyear='" & Me.ddlYear.SelectedValue & "' "
        If Me.ddlProject.SelectedValue <> "all" Then
            strWhere += " and pro.pname='" & Me.ddlProject.SelectedValue & "' "
        End If

        strSQL = "select pname, pyear, pcost projectcost, cost effortcost, pcost-cost diff "
        strSQL += "from project pro,"
        strSQL += "(select pro.pname ename,pyear eyear, sum(workhours*costperhr) cost "
        strSQL += "from jobresponse j,project pro where j.pname=pro.pname " & strWhere & " group by pro.pname,pyear) effort "
        strSQL += "where pro.pname=ename " & strWhere & " and pro.pyear=eyear"

        Dim cDbf As New DbFunctions2
        Dim ds As DataSet = Nothing
        Try
            ds = cDbf.GetDataSet(strSQL)
            Me.GridView1.DataSource = ds
            Me.GridView1.DataBind()
            Me.literal1.Text = strSQL
        Catch ex As Exception
            Me.lblStatus.Text = ex.Message
        Finally
            cDbf.ConnectionClose()
            cDbf = Nothing
        End Try
    End Sub


End Class
